import 'package:flutter/material.dart';
import 'package:photo_view/photo_view.dart';

class ImageView extends StatelessWidget {
  final String url;
  const ImageView({super.key, required this.url});

  @override
  Widget build(BuildContext context) {
    return PhotoView(
      backgroundDecoration: BoxDecoration(color: Theme.of(context).colorScheme.background.withAlpha(200)),
      maxScale: 5.0,
      minScale: PhotoViewComputedScale.contained,
      imageProvider: NetworkImage(url),
    );
  }
}
